Package ru.bitel.bgbilling.modules.mobile.server.bean

# Class MobileToken

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mobile.server.bean.MobileToken

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class MobileToken
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CODE_ACCESS_TOKEN_EXPIRED` | Акцесс токен просрочен( рефреша не было в запросе )
  `static int` | `CODE_ACCESS_TOKEN_INCORRECT` | Акцесс токен некорректный( скорее всего дело в подписи )
  `static int` | `CODE_ISSUED` | Был выдан акцесс и рефреш токены
  `static int` | `CODE_ISSUED_AND_REJECTED_OTHERS` | Был выдан акцесс и рефреш токены, но было привышение макс. доступных, по этому отозвоны остальные
  `static int` | `CODE_LOGIN_INCORRECT` | Не корректный логин и/или пароль
  `static int` | `CODE_MODULE_NOT_SET` | Модуль не установлен
  `static int` | `CODE_NO_ACCESS_DATA` | Нет ни токена ни логина
  `static int` | `CODE_OK` | Валидный акцесс код
  `static int` | `CODE_REFRESH_TOKEN_EXPIRED` | Рефреш токен просрочен
  `static int` | `CODE_REFRESH_TOKEN_INCORRECT` | Рефреш токен некорректный, скорее всего дело в подписи, либо не содержит обязательные параметры
  `static int` | `CODE_REFRESH_TOKEN_REJECTED` | Рефреш токен отозван( кто-то им уже воспользовался либо было привышено кол-во устройств )
  `static int` | `CODE_REFRESH_TOKEN_USER_DISCARD` | Пользователь отозвал токен
  `static int` | `CODE_TOKENS_REFRESHED` | Рефреш и акцесс токены были обновлены

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MobileToken()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Date` | `getCreatedDate()` |
  `java.util.Date` | `getExpiredDate()` |
  `java.util.Date` | `getUpdatedDate()` |
  `static boolean` | `isCodeAccessValid​(int code)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setCreatedDate​(java.util.Date createdDate)` |
  `void` | `setExpiredDate​(java.util.Date expiredDate)` |
  `void` | `setUpdatedDate​(java.util.Date updatedDate)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CODE_OK

    public static final int CODE_OK
    Валидный акцесс код
    See Also:
      Constant Field Values

  - ### CODE_ISSUED

    public static final int CODE_ISSUED
    Был выдан акцесс и рефреш токены
    See Also:
      Constant Field Values

  - ### CODE_ISSUED_AND_REJECTED_OTHERS

    public static final int CODE_ISSUED_AND_REJECTED_OTHERS
    Был выдан акцесс и рефреш токены, но было привышение макс. доступных, по этому отозвоны остальные
    See Also:
      Constant Field Values

  - ### CODE_TOKENS_REFRESHED

    public static final int CODE_TOKENS_REFRESHED
    Рефреш и акцесс токены были обновлены
    See Also:
      Constant Field Values

  - ### CODE_REFRESH_TOKEN_USER_DISCARD

    public static final int CODE_REFRESH_TOKEN_USER_DISCARD
    Пользователь отозвал токен
    See Also:
      Constant Field Values

  - ### CODE_ACCESS_TOKEN_EXPIRED

    public static final int CODE_ACCESS_TOKEN_EXPIRED
    Акцесс токен просрочен( рефреша не было в запросе )
    See Also:
      Constant Field Values

  - ### CODE_ACCESS_TOKEN_INCORRECT

    public static final int CODE_ACCESS_TOKEN_INCORRECT
    Акцесс токен некорректный( скорее всего дело в подписи )
    See Also:
      Constant Field Values

  - ### CODE_REFRESH_TOKEN_EXPIRED

    public static final int CODE_REFRESH_TOKEN_EXPIRED
    Рефреш токен просрочен
    See Also:
      Constant Field Values

  - ### CODE_REFRESH_TOKEN_INCORRECT

    public static final int CODE_REFRESH_TOKEN_INCORRECT
    Рефреш токен некорректный, скорее всего дело в подписи, либо не содержит обязательные параметры
    See Also:
      Constant Field Values

  - ### CODE_REFRESH_TOKEN_REJECTED

    public static final int CODE_REFRESH_TOKEN_REJECTED
    Рефреш токен отозван( кто-то им уже воспользовался либо было привышено кол-во устройств )
    See Also:
      Constant Field Values

  - ### CODE_NO_ACCESS_DATA

    public static final int CODE_NO_ACCESS_DATA
    Нет ни токена ни логина
    See Also:
      Constant Field Values

  - ### CODE_LOGIN_INCORRECT

    public static final int CODE_LOGIN_INCORRECT
    Не корректный логин и/или пароль
    See Also:
      Constant Field Values

  - ### CODE_MODULE_NOT_SET

    public static final int CODE_MODULE_NOT_SET
    Модуль не установлен
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### MobileToken

    public MobileToken()

- ## Method Details

  - ### isCodeAccessValid

    public static boolean isCodeAccessValid​(int code)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getExpiredDate

    public java.util.Date getExpiredDate()

  - ### setExpiredDate

    public void setExpiredDate​(java.util.Date expiredDate)

  - ### getCreatedDate

    public java.util.Date getCreatedDate()

  - ### setCreatedDate

    public void setCreatedDate​(java.util.Date createdDate)

  - ### getUpdatedDate

    public java.util.Date getUpdatedDate()

  - ### setUpdatedDate

    public void setUpdatedDate​(java.util.Date updatedDate)